/****************************************************************************
**
** DCOP Stub Definition created by dcopidl2cpp from kmplayer_backend.kidl
**
** WARNING! All changes made in this file will be lost!
**
*****************************************************************************/

#ifndef __KMPLAYER_BACKEND_STUB__
#define __KMPLAYER_BACKEND_STUB__

#include <dcopstub.h>
#include <dcopobject.h>

namespace KMPlayer {

class Backend_stub : virtual public DCOPStub
{
public:
    Backend_stub( const TQCString& app, const TQCString& id );
    Backend_stub( DCOPClient* client, const TQCString& app, const TQCString& id );
    explicit Backend_stub( const DCOPRef& ref );
    virtual ASYNC setURL( TQString url );
    virtual ASYNC setSubTitleURL( TQString url );
    virtual ASYNC play( int repeat_count );
    virtual ASYNC stop();
    virtual ASYNC pause();
    virtual ASYNC seek( int pos, bool absolute );
    virtual ASYNC hue( int h, bool absolute );
    virtual ASYNC saturation( int s, bool absolute );
    virtual ASYNC contrast( int c, bool absolute );
    virtual ASYNC brightness( int b, bool absolute );
    virtual ASYNC volume( int v, bool absolute );
    virtual ASYNC frequency( int f );
    virtual ASYNC quit();
    virtual ASYNC setConfig( TQByteArray  );
    virtual ASYNC setAudioLang( int , TQString  );
    virtual ASYNC setSubtitle( int , TQString  );
    virtual bool isPlaying();
protected:
    Backend_stub() : DCOPStub( never_use ) {}
};

} // namespace

#endif
